%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global libadwaita_version 1.0.0

Name:		gnome-chess
Version:	48.0
Release:	%mkrel 1
Summary:	GNOME Chess game
License:	GPLv2+ and GFDL
Group:		Games/Boards
URL:		https://wiki.gnome.org/Chess
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:  meson
BuildRequires:	pkgconfig(vapigen) >= 0.16.0
BuildRequires:	libxml2-utils
Obsoletes: 	glchess
Requires:	gnuchess
# For help
Requires:	yelp

%description
A chess game which supports several chess engines, with 2D and optionally 3D
support if OpenGL is present.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Chess.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Chess.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Chess.service
%config(noreplace) %{_sysconfdir}/%{name}/engines.conf
%{_iconsdir}/*/*/apps/org.gnome.Chess*.*
%{_datadir}/metainfo/org.gnome.Chess.appdata.xml
%{_mandir}/man6/%{name}.6*


%changelog
* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2166715
- new version 48.0

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097972
- new version 47.0

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050351
- new version 46.0

* Sun Apr 23 2023 daviddavid <daviddavid> 43.2-1.mga9
+ Revision: 1954484
- new version 43.2

* Fri Jan 06 2023 daviddavid <daviddavid> 43.1-1.mga9
+ Revision: 1930523
- new version 43.1

* Thu Sep 22 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891617
+ rebuild (emptylog)

* Tue Aug 09 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1876522
- new version 42.1

* Sun Mar 27 2022 umeabot <umeabot> 42.0-2.mga9
+ Revision: 1829095
- Mageia 9 Mass Rebuild

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801632
- Update to 42.0

* Mon Jan 10 2022 tv <tv> 41.1-1.mga9
+ Revision: 1767710
- 41.1

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721533
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709451
- new version 40.0

* Sun Dec 06 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1653962
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624852
- new version 3.38.0

* Thu Jul 02 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601451
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591721
- new version 3.37.2

* Sat May 30 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1589106
- new version 3.36.1

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554189
- new version 3.36.0

* Wed Mar 04 2020 daviddavid <daviddavid> 3.35.3-1.mga8
+ Revision: 1553739
- new version 3.35.3

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531024
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438551
- new version 3.34.0

* Thu Aug 01 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1426826
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392308
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374069
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372332
- new version 3.31.92

* Tue Feb 05 2019 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1363282
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256341
- new version 3.30.0

* Sat Jul 28 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1245597
- new version 3.29.90

* Wed May 09 2018 ovitters <ovitters> 3.29.1-1.mga7
+ Revision: 1227945
- new version 3.29.1
- new version 3.28.1
- dropped merged patch gnome-chess-3.28-build-fixes.patch

* Wed Mar 21 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1210861
- fix build
- Switch to the meson build system
- Build fixes
+ ovitters <ovitters>
- new version 3.28.0

* Sat Sep 09 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152054
- new version 3.26.0

* Tue Aug 22 2017 ovitters <ovitters> 3.25.4-1.mga7
+ Revision: 1142795
- new version 3.25.4

* Wed Apr 12 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096473
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094218
- new version 3.24.0

* Sun Nov 06 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065561
- new version 3.22.2

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055014
- new version 3.22.0

* Sat May 07 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1010116
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993219
- new version 3.20.0

* Sun Jan 17 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925001
- new version 3.19.4

* Wed Dec 16 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911042
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905150
- new version 3.19.2

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883088
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879317
- new version 3.17.92

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865301
- new version 3.17.90

* Sat Jul 18 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 855131
- new version 3.17.4

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 839298
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838526
- new version 3.17.2

* Sat Feb 21 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 816238
- new version 3.14.3

* Tue Feb 17 2015 wally <wally> 3.14.2-2.mga5
+ Revision: 815337
- require yelp for showing help

* Mon Dec 22 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 804793
- new version 3.14.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796305
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743235
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719184
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679704
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676962
- new version 3.13.92

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666279
- new version 3.13.90

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655745
- new version 3.13.4

* Fri May 30 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627982
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622085
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614071
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607932
- new version 3.12.0

* Sun Mar 16 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604237
- new version 3.11.92

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593708
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.4-1.mga5
+ Revision: 583080
- new version 3.11.4

* Wed Feb 05 2014 dams <dams> 3.11.3-1.mga5
+ Revision: 583007
- new version 3.11.3
+ ovitters <ovitters>
- new version 3.10.3

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550505
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1.1-3.mga4
+ Revision: 550158
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1.1-2.mga4
+ Revision: 542016
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1.1-1.mga4
+ Revision: 496753
- new version 3.10.1.1

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495861
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483888
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480449
- new version 3.9.92

* Tue Aug 27 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 472095
- new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460831
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458228
- new version 3.9.4

* Wed Jun 26 2013 dams <dams> 3.8.3-1.mga4
+ Revision: 446704
- new version 3.8.3
+ fwang <fwang>
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 440783
- add 'libxml2-utils' as BR
- imported package gnome-chess

